ColorRangeData

17 Sep 20251 minute to read

It illustrates the color track data in slider.

import * as React from 'react';
import { SliderComponent, ColorRangeDataModel } from '@syncfusion/ej2-react-inputs';

export default class App extends React.Component<{}, {}> {
public colorRange: ColorRangeDataModel[] = [{color:"#898b2b", start:10, end:45}];
  render() {
    
    return (
        <div id='container'>
            <div className='wrap'>
                <SliderComponent id='slider' value={30} colorRange={this.colorRange} />
            </div>
        </div>
    );
  }
}

Properties

color string

It is used to set the color in the slider bar.

Defaults to ’’

end number

It is used to get the end value for applying color.

Defaults to null

start number

It is used to get the starting value for applying color.

Defaults to null

ColorRangeData

12 Sep 20251 minute to read

It illustrates the color track data in slider.

<template>
    <div id="app">
    <ejs-slider id="default" :value="value" :colorRange="colorRange"></ejs-slider>
  </div>
</template>
<script>
import Vue from "vue";
import { SliderPlugin } from "@syncfusion/ej2-vue-inputs";
Vue.use(SliderPlugin);

export default {
  data() {
    return {
      value: 30,
      colorRange: [{color:"#898b2b", start: 10, end: 20}]
    };
  }
}
</script>
<style>
  #app {
    color: #008cff;
    height: 40px;
    left: 30%;
    position: absolute;
    top: 40%;
    width: 50%;
  }
</style>

Properties

color string

It is used to set the color in the slider bar.

Defaults to ’’

end number

It is used to get the end value for applying color.

Defaults to null

start number

It is used to get the starting value for applying color.

Defaults to null

ColorRangeData

12 Sep 20251 minute to read

It illustrates the color track data in slider.

 <ejs-slider id='default' [value]='value' [colorRange]="color"></ejs-slider>
import { Component } from '@angular/core';

@Component({
    selector: 'my-app',
    templateUrl: 'app/template.html',
    styleUrls:['index.css'],
})
export class AppComponent {
    public value: number = 30;
    public color:ColorRangeDataModel[] = [{color:'#898b2b', start: 0, end: 20}];
}

Properties

color string

It is used to set the color in the slider bar.

Defaults to ’’

end number

It is used to get the end value for applying color.

Defaults to null

start number

It is used to get the starting value for applying color.

Defaults to null